<template>
  <div id="cart">
    <v-container fluid>
      <v-row class="d-flex justify-center mt-5">
        <v-card class="mt-8 elevation-8 mx-auto mb-7" style="width: 90%">
          <v-card-title class="d-block text-center pt-6 pb-5 text-h4">
            Carrello
          </v-card-title>
          <v-card-text>
            <v-data-table
                hide-default-footer
                :items="carts"
                :headers="headers"
                item-key="item.id"
            >
              <template v-slot:item.actions="{ item }">
                <v-icon
                    small
                    color="primary"
                    class="mx-2"
                    @click="deleteProduct(item)"
                >
                  fas fa-trash
                </v-icon>
              </template>
            </v-data-table>
          </v-card-text>
        </v-card>
      </v-row>
    </v-container>


  </div>

</template>

<script>
export default {
  name: "Cart",
  data() {
    return {
      headers: [
        {value: 'name', text: 'Nome'},
        {value: 'rating', text: 'Valutazione'},
        {value: 'category.name', text: 'Nome categoria'},
        {text: 'Actions', value: 'actions', sortable: false}
      ],
      carts: [],
      dialog: false,
      cart: {
        name: null,
        categoryId: null,
        rating: null,
        categoryName: null
      },
      cartToEditId: null,

    }
  },
  mounted() {
    this.getCart()
  },
  methods: {


    async getCart() {
      let response = await this.$http.get('/cart/' + this.$store.getters.id);
      this.carts = response.data;
    },

    async deleteProduct(item) {
      if (window.confirm("Sei sicuro di voler eliminare " + item.name + "?")) {
        await this.$http.delete('/cart/' + this.$store.getters.id + '/' + item.id)
        await this.getCart()
      } else
        window.alert('Menomale, poverino!')

    }

  }
}
</script>


<style scoped>

</style>

